%define name beatforce
%define version 0.2.0
%define release %mkrel 7
%define oname BeatForce


Summary: Dj player system
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch: beatforce-0.2.0-gcc4.patch.bz2
License: GPL
Group: Sound
Url: http://www.beatforce.org
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: fftw3-devel
BuildRequires: libSDL_image-devel
BuildRequires: libxml2-devel
BuildRequires: libmad-devel
BuildRequires: libid3tag-devel
BuildRequires: libvorbis-devel
BuildRequires: scons
Provides: %oname
Obsoletes: %oname

%description
Beatforce is a computer dj-ing system with 2 players, a 
XML-based song database, a mixer with manual and auto-fade 
and some more features. Eventually a beat counter and automatic 
beat synchronisation will be implemented.

%prep
%setup -q -n %name
%patch -p1 -R
find . -name *.o -o -name *.os -o -name *.a -o -name .xvpics |xargs rm -fr
find . -type f|xargs perl -pi -e "s!/usr/share/beatforce/!%_libdir/beatforce/!"

%build
scons %_smp_mflags

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/%name/plugins/{input,output}
install -m 755 plugins/input/*/*.so %buildroot%_libdir/%name/plugins/input/
install -m 755 plugins/output/*/*.so %buildroot%_libdir/%name/plugins/output/
install -d %buildroot%_libdir/%name/themes/
cp -r themes/%name %buildroot%_libdir/%name/themes/%name
install -m 755 -D src/%name %buildroot%_bindir/%name
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=BeatForce
Comment=Computer DJ-ing program
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;AudioVideoEditing;
StartupNotify=true
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr(-,root,root)
%doc README TODO ChangeLog AUTHORS 
%_bindir/beatforce
%_datadir/applications/mandriva*
%_libdir/%name


%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-7mdv2009.0
+ Revision: 243209
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-5mdv2008.1
+ Revision: 148054
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 25 2007 Götz Waschk <waschk@mandriva.org> 0.2.0-5mdv2008.0
+ Revision: 55220
- Import beatforce



* Thu Jul 20 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-5mdv2007.0
- xdg menu

* Wed May 10 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-4mdk
- Rebuild
- use mkrel

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.2.0-3mdk
- patch for gcc 4

* Fri May  6 2005 Gtz Waschk <waschk@mandriva.org> 0.2.0-2mdk
- fix build on x86_64

* Sat Oct  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- add menu entry
- drop patch
- new URL
- new version
- rename from BeatForce

* Tue Jun 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.5-1mdk
- first mdk package
